<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 29/7/2018
 * Time: 5:42 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['monto'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $nombre = $_REQUEST['nombre'];
            $identificador = uniqid('gastoadiocional',true);
            $validar  = R::findOne( 'gastoadiocional', 'nombre =:nombreC AND id_condominio =:id_condominioc AND estado =:estado',array('nombreC' => $_REQUEST['nombre'], 'id_condominioc' => $condominio['condominio_id'], 'estado'=>$_REQUEST['estado']));
            if (is_null($validar)==TRUE){
                $propietarios = R::findAll('usuario', 'condominio_id =:condominio AND tipo_usuario =:tipo_usuario AND estado =:estado', array('condominio' => $condominio['condominio_id'], 'tipo_usuario' => '7', 'estado' => '1'));
                foreach ($propietarios as $prop){
                    $gastoAdicional = R::dispense('gastoadiocional');
                    $gastoAdicional->nombre = $nombre;
                    $gastoAdicional->idenficador = $identificador;
                    $gastoAdicional->id_propietario = $prop['id'];
                    $gastoAdicional->monto = $_REQUEST['monto'];
                    $gastoAdicional->id_condominio = $condominio['condominio_id'];
                    $gastoAdicional->id_autor = $creadoPor;
                    $gastoAdicional->fechaRegistro = date('Y-m-d H:i:s');
                    $gastoAdicional->fechaModificacion = date('Y-m-d H:i:s');
                    $gastoAdicional->estado = 1;
                    $id = R::store($gastoAdicional);
                    include '../comun/mensajeCreado.php';
                }
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}